# List conversations GET https://api.moveworks.ai/export/v1/records/conversations Retrieve all conversations occurring with the Moveworks AI Assistant. Reference: https://docs.moveworks.com/api-reference/data-api/list-conversations ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: List conversations version: endpoint_.listConversations paths: /conversations: get: operationId: list-conversations summary: List conversations description: Retrieve all conversations occurring with the Moveworks AI Assistant. tags: - [] parameters: - name: $filter in: query description: >- Filter conversations by a condition. This API supports the standard odata query language on all string and integer attributes required: false schema: type: string - name: $select in: query description: >- Select which properties to include in the response for the conversations. required: false schema: type: string - name: $orderby in: query description: Order conversations by specific fields. required: false schema: type: string - name: $top in: query description: Specify the number of conversations results to return. required: false schema: type: integer - name: $skip in: query description: Skip the first n conversations results. required: false schema: type: integer - name: Authorization in: header required: true schema: type: string responses: '200': description: Successfully retrieved list of conversations content: application/json: schema: $ref: '#/components/schemas/conversations' '400': description: Bad request error content: {} '403': description: Forbidden error content: {} '404': description: URL not found error content: {} '429': description: Rate limiting exceeding error content: {} '500': description: Internal server error content: {} components: schemas: conversationsobject: type: object properties: id: type: string format: uuid description: >- UUID assigned by the system to a conversation. Conversations are grouped based on the context of interactions. All interactions within a conversation share the same conversation I user_id: type: string format: uuid description: User record ID assigned by the system to a user. primary_domain: type: string description: >- Primary domain detected by an LLM model after going through all detected domains of free text interactions belonging to a particular conversation. route: type: string description: >- This field contains details on how a conversation was started either through DM, Notification engagement, Ticket interception engagement, or Channel resolver engagement. created_time: type: string format: date-time description: Timestamp when the conversation was initiated. last_updated_time: type: string format: date-time description: >- Timestamp when the conversations entry is last updated in this table. conversations: type: object properties: '@odata.context': type: string description: URL to the metadata of the response. '@odata.nextLink': type: string description: URL to fetch the next set of results. value: type: array items: $ref: '#/components/schemas/conversationsobject' ``` ## SDK Code Examples ```python import requests url = "https://api.moveworks.ai/export/v1/records/conversations" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.moveworks.ai/export/v1/records/conversations'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.moveworks.ai/export/v1/records/conversations" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.moveworks.ai/export/v1/records/conversations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.moveworks.ai/export/v1/records/conversations") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://api.moveworks.ai/export/v1/records/conversations', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.moveworks.ai/export/v1/records/conversations"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.moveworks.ai/export/v1/records/conversations")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```